Subject: atl1c fails to force 100 full duplex

From: Ben Hutchings <[email-masked]>
Date: Wed, 30 Mar 2011 23:10:45 +0100

On Wed, 2011-03-02 at 12:46 +0100, luca boncompagni wrote:
> I can't get more 100FD from my network card when running on 2.6.37, if
> I boot on 2.6.32 it works fine.
> 
> If i try to use mii-tool eth1 -F 100baseTx-FD I get the warning at the
> end of dmesg.

This is the usual TX watchdog warning.

> If I try to use ethtool I get no warning but it does not set full duplex.
[...]

Luca later reported that this is still broken in 2.6.38.  His full bug
report is at <http://bugs.debian.org/616081>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.